Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.jui
Class JUTableDef.JUTableAttrPropDef

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.adf.model.binding.DCDefBase
oracle.jbo.uicli.jui.JUTableDef.JUTableAttrPropDef`

Enclosing class:
  JUTableDef

public static class JUTableDef.JUTableAttrPropDef
extends DCDefBase

Field Summary
`static java.lang.String` | `ELEMENT_NAME`
`static java.lang.String` | `PNAME_AttrName`
`static java.lang.String` | `PNAME_Width`

Fields inherited from class oracle.adf.model.binding.DCDefBase
`DEF_XMLNS, DEF_XMLNS_BASE, PNAME_AccessorIterator, PNAME_Action, PNAME_Boolean, PNAME_Button, PNAME_ButtonGroup, PNAME_ComboBox, PNAME_DataControlAction, PNAME_DefaultControl, PNAME_DynamicTable, PNAME_EnumList, PNAME_FormattedTextField, PNAME_Graph, PNAME_HGrid, PNAME_Iterator, PNAME_Label, PNAME_ListSingleSel, PNAME_LovButton, PNAME_LOVList, PNAME_MethodAction, PNAME_MethodIterator, PNAME_NavigationBar, PNAME_NavigationList, PNAME_Panel, PNAME_Parameter, PNAME_ProgressBar, PNAME_ProgressBarAttr, PNAME_Range, PNAME_ScrollBar, PNAME_ScrollBarAttr, PNAME_Slider, PNAME_SliderAttr, PNAME_Spinner, PNAME_Table, PNAME_TextField, PNAME_ToplinkIterator, PNAME_Tree`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`JUTableDef.JUTableAttrPropDef()`
`JUTableDef.JUTableAttrPropDef(java.lang.String attrName, int width)`

Method Summary
`java.lang.String` | `getAttrName()`
`JUTableDef.JUEditorPropDef` | `getEditorPropDef()`
`int` | `getWidth()`
`java.lang.String` | `getXMLElementTag()`
`void` | `init(java.util.HashMap initValues)`
`void` | `loadChildrenFromXML(oracle.jbo.mom.xml.DefElement xmlElement)`
`void` | `loadEditorDef(oracle.jbo.mom.xml.DefElement xmlElement)`
`protected void` | `retrieveFromXML(oracle.jbo.mom.xml.DefElement xmlElement, java.util.HashMap valueTab)`
`void` | `setEditorPropDef(JUTableDef.JUEditorPropDef editorDef)`

Methods inherited from class oracle.adf.model.binding.DCDefBase
`convertToBoolean, convertToInt, convertToIntArray, createAndLoadFromXML, getDefClassName, getSubType, initSubType, isDirty, isNew, loadFromXML, readXMLBoolean, readXMLInt, readXMLString, readXMLStringArray, readXMLStringArrayList, readXMLStringArrayList, setDefClassName, setDirty, setNew, setSubType`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`addExtendedDefObject, finishedLoading, getBaseDefObject, getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isDynamicDefinitionObject, isObjectResolved, loadProperties, resolveReferences, setBaseDefObject, setName, setObjectResolved, setParent`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELEMENT_NAME

    public static final java.lang.String ELEMENT_NAME

  See Also:
    Constant Field Values

### PNAME_AttrName

    public static final java.lang.String PNAME_AttrName

  See Also:
    Constant Field Values

### PNAME_Width

    public static final java.lang.String PNAME_Width

  See Also:
    Constant Field Values

Constructor Detail

### JUTableDef.JUTableAttrPropDef

    public JUTableDef.JUTableAttrPropDef()

### JUTableDef.JUTableAttrPropDef

    public JUTableDef.JUTableAttrPropDef(java.lang.String attrName,
                                         int width)

Method Detail

### getXMLElementTag

    public java.lang.String getXMLElementTag()

  Specified by:
    `getXMLElementTag` in class `DCDefBase`

### getAttrName

    public java.lang.String getAttrName()

### getWidth

    public int getWidth()

### init

    public void init(java.util.HashMap initValues)

  Overrides:
    `init` in class `DCDefBase`

### retrieveFromXML

    protected void retrieveFromXML(oracle.jbo.mom.xml.DefElement xmlElement,
                                   java.util.HashMap valueTab)

  Overrides:
    `retrieveFromXML` in class `DCDefBase`

### getEditorPropDef

    public JUTableDef.JUEditorPropDef getEditorPropDef()

### setEditorPropDef

    public void setEditorPropDef(JUTableDef.JUEditorPropDef editorDef)

### loadChildrenFromXML

    public void loadChildrenFromXML(oracle.jbo.mom.xml.DefElement xmlElement)

  Overrides:
    `loadChildrenFromXML` in class `DCDefBase`

### loadEditorDef

    public void loadEditorDef(oracle.jbo.mom.xml.DefElement xmlElement)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.